unit fjf256u;

interface

function f : char;

implementation

function f : char;
begin
  f := 'O'
end;

end.

program fjf256;

uses fjf256u;

type t = function : char;

var v : t = f;

begin
  writeln (v, 'K')
end.
